summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin
diff options
context:
space:
mode:
Diffstat (limited to 'Master/tlpkg/bin')
-rwxr-xr-xMaster/tlpkg/bin/c2l2
-rwxr-xr-xMaster/tlpkg/bin/tl-update-bindir5
2 files changed, 5 insertions, 2 deletions
diff --git a/Master/tlpkg/bin/c2l b/Master/tlpkg/bin/c2l
index e239adaa5bd..40ee1923eb3 100755
--- a/Master/tlpkg/bin/c2l
+++ b/Master/tlpkg/bin/c2l
@@ -11,12 +11,14 @@ use Cwd;
use File::Basename;
$| = 1;
+umask 022;
exit (&main ());
sub main {
my $real0 = Cwd::abs_path ($0);
my $scriptdir = File::Basename::dirname ($real0); # .../Master/tlpkg/bin
my $TLROOT = Cwd::abs_path ("$scriptdir/../../.."); # ...
+ chdir ($scriptdir) || die "chdir($scriptdir) failed"; # avoid . in PATH confusion
# platform abbrev
my $arg = $ARGV[0];
diff --git a/Master/tlpkg/bin/tl-update-bindir b/Master/tlpkg/bin/tl-update-bindir
index 35667451989..cb993f6034d 100755
--- a/Master/tlpkg/bin/tl-update-bindir
+++ b/Master/tlpkg/bin/tl-update-bindir
@@ -102,7 +102,8 @@ for tlplat in $tlplats; do
default_bin_loc=$download_loc
#https://faubox.rrze.uni-erlangen.de/open/MjdwNXE5NW5UcTU4RzVIWlRVUVVI/branch2018/texlive_bin_aarch64-linux.tar.xz
#http://51.158.66.174:8080/texlive_bin_aarch64-linux.tar.xz
- remurl=https://aekahwai.spdns.org/online/texlive_bin_aarch64-linux.tar.xz
+ #remurl=https://aekahwai.spdns.org/online/texlive_bin_aarch64-linux.tar.xz
+ remurl=https://taiyahfoboj.net/yeipaiyi/texlive_bin_aarch64-linux.tar.xz
$grab $remurl;;
alpha-linux)
default_bin_loc=/home/preining/alpha-linux.tar.gz;;
@@ -127,7 +128,7 @@ for tlplat in $tlplats; do
$grab http://boris.lk.net/texlive-2013/armv7l-unknown-linux-gnueabi.tgz;;
armhf-linux)
default_bin_loc=$download_loc
- $grab http://getthingsfixed.co.uk/texlive/builds/2020/texlive-armhf.tar.gz;;
+ $grab http://getthingsfixed.co.uk/texlive/builds/2021/texlive-armhf.tar.gz;;
hppa-hpux)
default_bin_loc=$download_loc
$grab http://www.jtartlabs.com/test/hppa2.0-hp-hpux10.20.tar.gz;;